# [name]

A point's [link:https://en.wikipedia.org/wiki/Spherical_coordinate_system spherical coordinates].

## Constructor

### [name]( [param:Float radius], [param:Float phi], [param:Float theta] )

[page:Float radius] - the radius, or the [link:https://en.wikipedia.org/wiki/Euclidean_distance Euclidean distance] (straight-line distance) from the point to the origin. Default is `1.0`.
[page:Float phi] - polar angle in radians from the y (up) axis. Default is `0`.
[page:Float theta] - equator angle in radians around the y (up) axis. Default is `0`.
The poles (phi) are at the positive and negative y axis. The equator (theta) starts at positive z.

## Properties

### [property:Float radius]

### [property:Float phi]

### [property:Float theta]

## Methods

### [method:Spherical clone]()

Returns a new spherical with the same [page:.radius radius], [page:.phi phi] and [page:.theta theta] properties as this one.

### [method:this copy]( [param:Spherical s] )

Copies the values of the passed Spherical's [page:.radius radius], [page:.phi phi] and [page:.theta theta] properties to this spherical.

### [method:this makeSafe]()

Restricts the polar angle [page:.phi phi] to be between 0.000001 and pi - 0.000001.

### [method:this set]( [param:Float radius], [param:Float phi], [param:Float theta] )

Sets values of this spherical's [page:.radius radius], [page:.phi phi] and [page:.theta theta] properties.

### [method:this setFromVector3]( [param:Vector3 vec3] )

Sets values of this spherical's [page:.radius radius], [page:.phi phi] and [page:.theta theta] properties from the [page:Vector3 Vector3].

### [method:this setFromCartesianCoords]( [param:Float x], [param:Float y], [param:Float z] )

Sets values of this spherical's [page:.radius radius], [page:.phi phi] and [page:.theta theta] properties from Cartesian coordinates.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/src/[path].js src/[path].js]